Subject: Re: [weirds] OPS-DIR Review of draft-ietf-weirds-rdap-query

From: "Hollenbeck, Scott" <[email-masked]>
Date: Tue, 21 Oct 2014 12:14:47 +0000

Thanks for the review comments, Sarah. More below...

Scott

> -----Original Message-----
> From: Sarah Banks [mailto:[email-masked]]
> Sent: Monday, October 20, 2014 9:43 PM
> To: <[email-masked]>; [email-masked]
> Subject: OPS-DIR Review of draft-ietf-weirds-rdap-query
> 
> Hello,
> 	I've reviewed draft-ietf-weirds-rdap-query-15 for its operational
> impact.
> 
> Summary: The document is well written, thorough, provides ample
> discussion and examples, and even provides a change log in it's
> appendix. I have no objections to this document and believe it should
> be published
> 
> 	There are 2 nits from the nits checker for down refs.

I just ran the draft through the id-nits checker myself and found an unused reference to RFC 7159. It's a remnant from earlier text that was recently removed. The reference will be removed.

The downref warnings are to RFCs 952 and 1166 and Unicode-UAX15. I think those are OK.

There's also a warning about informative reference RFC 1594 ("where XXXX is a fully-qualified (relative to the root) domain name [RFC1594]") having been obsoleted by RFC 2664. The text we refer to exists in 1594, but not in 2664. There may be a better reference for "domain name" - perhaps RFCs 952 and 1123?

> 	Overall, I found the document very easy to read through, walking
> through the problem it's trying to solve, addressing each add section
> by section, with discussion points for each, and examples for each,
> too. One minor (personal) nit, is the requirement that WHOIS servers
> that don't or can't respond to a request SHOULD return a 501 error
> (RFC7231). In trying to provide some structure, it'd be nice to know
> explicitly that the server has/had an issue responding to the request.
> If the server chooses not to return a 501 in the event of an error,
> then what?

Would anyone in the WG object to this being a MUST? That would address the ambiguity.

> 	This aside, the document is ready for publication.

Thanks again,
Scott

---

From: Andy Newton <[email-masked]>
Date: Tue, 21 Oct 2014 23:42:46 +0000

>Would anyone in the WG object to this being a MUST? That would address

Well, servers that cannot respond to a request (501 - Not Implemented) and
wish to convey that information MUST use a 501. So..

OLD

  If a server receives a query that it cannot process because it is
  not implemented it SHOULD return an HTTP 501
  [RFC7231 <http://tools.ietf.org/html/rfc7231>] error.

NEW

  A server MUST return an HTTP 501 (Not Implemented) [RFC7231] to
  inform a client of unsupported queries.

-andy